Debian Bug report logs - #528383
hal: GNU/kFreeBSD support

version graph

Package: hal; Maintainer for hal is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for hal is src:hal.

Reported by: Aurelien Jarno <aurel32@debian.org>

Date: Tue, 12 May 2009 15:30:01 UTC

Severity: important

Tags: patch

Found in version hal/0.5.12~git20090406.46dc48-2

Fixed in version hal/0.5.13-1

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#528383; Package hal. (Tue, 12 May 2009 15:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurel32@debian.org>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 12 May 2009 15:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: hal: GNU/kFreeBSD support
Date: Tue, 12 May 2009 17:29:20 +0200
Package: hal
Version: 0.5.12~git20090406.46dc48-2
Severity: important
Tags: patch
User: glibc-bsd-devel@lists.alioth.debian.org
Usertags: kfreebsd

hal support has been added recently to FreeBSD, and with minor changes
it also works on GNU/kFreeBSD. I have already change most of the needed
changes upstream, but they have been committed just after the release of
version 0.5.12. I'll try to merge the remaining needed changes for 
version 0.5.13 so that it works out of the box.

You will find below a patch to make hal working on GNU/kFreeBSD, 
including both changes to the packaging and upstream. It would be nice 
if you can apply it for the upload of version 0.5.12. Thanks in 
advance.

diff -u hal-0.5.12~git20090406.46dc48/debian/control hal-0.5.12~git20090406.46dc48/debian/control
--- hal-0.5.12~git20090406.46dc48/debian/control
+++ hal-0.5.12~git20090406.46dc48/debian/control
@@ -32,7 +32,7 @@
 
 Package: hal
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, pciutils, usbutils, udev (>= 0.125), dbus (>= 0.61), lsb-base (>= 3.2-14), hal-info (>= 20070402), pm-utils, mount (>= 2.13), policykit (>= 0.7), consolekit (>= 0.3), acl
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, pciutils, usbutils, udev (>= 0.125) [!kfreebsd-amd64 !kfreebsd-i386], dbus (>= 0.61), lsb-base (>= 3.2-14), hal-info (>= 20070402), pm-utils [!kfreebsd-amd64 !kfreebsd-i386], mount (>= 2.13) [!kfreebsd-amd64 !kfreebsd-i386], freebsd-utils [kfreebsd-amd64 kfreebsd-i386], policykit (>= 0.7), consolekit (>= 0.3), acl
 Recommends: eject, libsmbios-bin [amd64 i386 lpia]
 Suggests: gnome-device-manager
 Description: Hardware Abstraction Layer
@@ -125,0 +126,15 @@
+Package: libhald-freebsd-probe0
+Section: libs
+Architecture: kfreebsd-i386 kfreebsd-amd64
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Hardware Abstraction Layer - shared library for device probing
+ HAL provides an abstract view on hardware.
+ .
+ This abstraction layer is simply an interface that makes it possible to
+ add support for new devices and new ways of connecting devices to the
+ computer, without modifying every application that uses the device.
+ It maintains a list of devices that currently exist, and can provide
+ information about those upon request.
+ .
+ This library provides device probing on FreeBSD.
+
diff -u hal-0.5.12~git20090406.46dc48/debian/hal.init hal-0.5.12~git20090406.46dc48/debian/hal.init
--- hal-0.5.12~git20090406.46dc48/debian/hal.init
+++ hal-0.5.12~git20090406.46dc48/debian/hal.init
@@ -48,7 +48,7 @@
 
 case "$1" in
   start)
-	if [ ! -d /proc/sys/fs/inotify ]; then
+	if [ ! -d /proc/sys/fs/inotify ] && [ `uname` = "Linux" ]; then
 		log_failure_msg "Can't start $DESC - enable inotify support in your kernel"
 		exit 0
 	fi
@@ -57,7 +57,7 @@
 		exit 0
 	fi
 	
-	if [ ! -d /sys/kernel ]; then
+	if [ ! -d /sys/kernel ] && [ `uname` = "Linux" ]; then
 		log_failure_msg "Can't start $DESC - sysfs not mounted on /sys"
 		exit 0
 	fi
diff -u hal-0.5.12~git20090406.46dc48/debian/patches/series hal-0.5.12~git20090406.46dc48/debian/patches/series
--- hal-0.5.12~git20090406.46dc48/debian/patches/series
+++ hal-0.5.12~git20090406.46dc48/debian/patches/series
@@ -4,0 +5 @@
+50_kfreebsd.patch
--- hal-0.5.12~git20090406.46dc48.orig/debian/libhald-freebsd-probe0.install
+++ hal-0.5.12~git20090406.46dc48/debian/libhald-freebsd-probe0.install
@@ -0,0 +1 @@
+debian/tmp/usr/lib/libhald_freebsd_probe.so.*
only in patch2:
unchanged:
--- hal-0.5.12~git20090406.46dc48.orig/debian/libhald-freebsd-probe0.shlibs
+++ hal-0.5.12~git20090406.46dc48/debian/libhald-freebsd-probe0.shlibs
@@ -0,0 +1 @@
+libhald_freebsd_probe 0 libhald-freebsd-probe0 (>= 0.5.11)
only in patch2:
unchanged:
--- hal-0.5.12~git20090406.46dc48.orig/debian/hal.install.kfreebsd-amd64
+++ hal-0.5.12~git20090406.46dc48/debian/hal.install.kfreebsd-amd64
@@ -0,0 +1,9 @@
+debian/tmp/etc/
+debian/tmp/usr/bin/
+debian/tmp/usr/sbin/
+debian/tmp/sbin/umount.hal usr/sbin
+debian/tmp/usr/lib/hal/
+debian/tmp/usr/share/hal/fdi/
+debian/tmp/usr/share/PolicyKit/
+debian/preferences.fdi  etc/hal/fdi/policy
+debian/debian-storage-policy-ignore-fixed-crypto-drives.fdi usr/share/hal/fdi/policy/10osvendor
only in patch2:
unchanged:
--- hal-0.5.12~git20090406.46dc48.orig/debian/hal.install.kfreebsd-i386
+++ hal-0.5.12~git20090406.46dc48/debian/hal.install.kfreebsd-i386
@@ -0,0 +1,9 @@
+debian/tmp/etc/
+debian/tmp/usr/bin/
+debian/tmp/usr/sbin/
+debian/tmp/sbin/umount.hal usr/sbin
+debian/tmp/usr/lib/hal/
+debian/tmp/usr/share/hal/fdi/
+debian/tmp/usr/share/PolicyKit/
+debian/preferences.fdi  etc/hal/fdi/policy
+debian/debian-storage-policy-ignore-fixed-crypto-drives.fdi usr/share/hal/fdi/policy/10osvendor
only in patch2:
unchanged:
--- hal-0.5.12~git20090406.46dc48.orig/debian/patches/50_kfreebsd.patch
+++ hal-0.5.12~git20090406.46dc48/debian/patches/50_kfreebsd.patch
@@ -0,0 +1,276 @@
+--- a/configure
++++ b/configure
+@@ -19138,7 +19138,7 @@
+         *-*-solaris*)
+ 		   HALD_BACKEND="solaris"
+ 		   ;;
+-        *-*-freebsd*)
++        *-*-freebsd* | *-*-kfreebsd*-gnu)
+                    HALD_BACKEND="freebsd"
+                    ;;
+ 	*-linux*)
+--- a/configure.in
++++ b/configure.in
+@@ -488,7 +488,7 @@
+         *-*-solaris*)
+ 		   HALD_BACKEND="solaris"
+ 		   ;;
+-        *-*-freebsd*)
++        *-*-freebsd* | *-*-kfreebsd*-gnu)
+                    HALD_BACKEND="freebsd"
+                    ;;
+ 	*-linux*)
+--- a/hald/freebsd/hf-storage.c
++++ b/hald/freebsd/hf-storage.c
+@@ -644,7 +644,6 @@
+ hf_storage_device_enable (HalDevice *device)
+ {
+   g_return_if_fail(HAL_IS_DEVICE(device));
+-  g_return_if_fail(devname != NULL);
+ 
+   hal_device_property_set_string(device, "storage.bus", "platform");
+   hal_device_property_set_string(device, "storage.drive_type", "disk");
+--- a/hald/freebsd/addons/addon-storage.c
++++ b/hald/freebsd/addons/addon-storage.c
+@@ -181,10 +181,12 @@
+ static void
+ update_proc_title (const char *device, boolean polling_enabled)
+ {
++#ifndef __GLIBC__
+   if (polling_enabled)
+     setproctitle("%s", device);
+   else
+     setproctitle("no polling on %s because it is explicitly disabled", device);
++#endif
+ }
+ 
+ static DBusHandlerResult
+--- a/hald/freebsd/libprobe/hfp-cdrom.h
++++ b/hald/freebsd/libprobe/hfp-cdrom.h
+@@ -28,7 +28,7 @@
+ #  include <config.h>
+ #endif
+ 
+-#include <sys/types.h>
++#include <stdint.h>
+ 
+ #include "hfp.h"
+ 
+@@ -53,8 +53,8 @@
+ typedef struct
+ {
+   /* mode page data header */
+-  u_int16_t   data_length;
+-  u_int8_t    medium_type;
++  uint16_t   data_length;
++  uint8_t    medium_type;
+ #define HFP_CDROM_MST_TYPE_MASK_LOW	0x0f
+ #define HFP_CDROM_MST_FMT_NONE		0x00
+ #define HFP_CDROM_MST_DATA_120		0x01
+@@ -75,17 +75,17 @@
+ #define HFP_CDROM_MST_DOOR_OPEN		0x71
+ #define HFP_CDROM_MST_FMT_ERROR		0x72
+ 
+-  u_int8_t    dev_spec;
+-  u_int16_t   unused;
+-  u_int16_t   blk_desc_len;
++  uint8_t    dev_spec;
++  uint16_t   unused;
++  uint16_t   blk_desc_len;
+ 
+   /* capabilities page */
+-  u_int8_t    page_code;
++  uint8_t    page_code;
+ #define HFP_CDROM_CAP_PAGE		0x2a
+ 
+-  u_int8_t    param_len;
++  uint8_t    param_len;
+ 
+-  u_int16_t   media;
++  uint16_t   media;
+ #define HFP_CDROM_MST_READ_CDR		0x0001
+ #define HFP_CDROM_MST_READ_CDRW		0x0002
+ #define HFP_CDROM_MST_READ_PACKET	0x0004
+@@ -98,7 +98,7 @@
+ #define HFP_CDROM_MST_WRITE_DVDR	0x1000
+ #define HFP_CDROM_MST_WRITE_DVDRAM	0x2000
+ 
+-  u_int16_t   capabilities;
++  uint16_t   capabilities;
+ #define HFP_CDROM_MSTAUDIO_PLAY		0x0001
+ #define HFP_CDROM_MST_COMPOSITE		0x0002
+ #define HFP_CDROM_MST_AUDIO_P1		0x0004
+@@ -115,7 +115,7 @@
+ #define HFP_CDROM_MST_ISRC		0x2000
+ #define HFP_CDROM_MST_UPC		0x4000
+ 
+-  u_int8_t    mechanism;
++  uint8_t    mechanism;
+ #define HFP_CDROM_MST_LOCKABLE		0x01
+ #define HFP_CDROM_MST_LOCKED		0x02
+ #define HFP_CDROM_MST_PREVENT		0x04
+@@ -131,18 +131,18 @@
+ #define HFP_CDROM_MST_SEP_VOL		0x01
+ #define HFP_CDROM_MST_SEP_MUTE		0x02
+ 
+-  u_int16_t   max_read_speed;		/* max raw data rate in bytes/1000 */
+-  u_int16_t   max_vol_levels;		/* number of discrete volume levels */
+-  u_int16_t   buf_size;			/* internal buffer size in bytes/1024 */
+-  u_int16_t   cur_read_speed;		/* current data rate in bytes/1000  */
+-
+-  u_int8_t    reserved3;
+-  u_int8_t    misc;
+-
+-  u_int16_t   max_write_speed;		/* max raw data rate in bytes/1000 */
+-  u_int16_t   cur_write_speed;		/* current data rate in bytes/1000  */
+-  u_int16_t   copy_protect_rev;
+-  u_int16_t   reserved4;
++  uint16_t   max_read_speed;		/* max raw data rate in bytes/1000 */
++  uint16_t   max_vol_levels;		/* number of discrete volume levels */
++  uint16_t   buf_size;			/* internal buffer size in bytes/1024 */
++  uint16_t   cur_read_speed;		/* current data rate in bytes/1000  */
++
++  uint8_t    reserved3;
++  uint8_t    misc;
++
++  uint16_t   max_write_speed;		/* max raw data rate in bytes/1000 */
++  uint16_t   cur_write_speed;		/* current data rate in bytes/1000  */
++  uint16_t   copy_protect_rev;
++  uint16_t   reserved4;
+ } HFPCDROMCapabilities;
+ 
+ HFPCDROM *hfp_cdrom_new (const char *path, const char *parent);
+--- a/hald/freebsd/probing/probe-volume.c
++++ b/hald/freebsd/probing/probe-volume.c
+@@ -59,7 +59,7 @@
+ };
+ #define ISO_PATH_TABLE_ENTRY_SIZE         8
+ 
+-#if __FreeBSD_version < 600101
++#if (__FreeBSD_version < 600101) && (__FreeBSD_kernel_version < 600101)
+ static uint32_t
+ isonum_731(unsigned char *p)
+ {
+@@ -342,7 +342,9 @@
+     goto end;
+ 
+   /* give a meaningful process title for ps(1) */
++#ifndef __GLIBC__
+   setproctitle("%s", device_file);
++#endif
+ 
+   has_children = hfp_getenv_bool("HF_HAS_CHILDREN");
+   is_swap = hfp_getenv_bool("HF_IS_SWAP");
+only in patch2:
+unchanged:
+--- a/hald/freebsd/probing/probe-scsi.c
++++ b/hald/freebsd/probing/probe-scsi.c
+@@ -48,7 +48,9 @@
+     goto end;
+ 
+   /* give a meaningful process title for ps(1) */
++#ifndef __GLIBC__
+   setproctitle("%s", device_file);
++#endif
+ 
+   /* cam_open_device() fails unless we use O_RDWR */
+   cam = cam_open_device(device_file, O_RDWR);
+--- a/hald/freebsd/probing/probe-hiddev.c
++++ b/hald/freebsd/probing/probe-hiddev.c
+@@ -63,8 +63,9 @@
+     goto end;
+ 
+   /* give a meaningful process title for ps(1) */
++#ifndef __GLIBC__
+   setproctitle("%s", device_file);
+-
++#endif
+   if (ioctl(fd, USB_GET_REPORT_ID, &report_id) < 0)
+     goto end;
+ 
+--- a/hald/freebsd/probing/probe-storage.c
++++ b/hald/freebsd/probing/probe-storage.c
+@@ -192,7 +192,9 @@
+     goto end;
+ 
+   /* give a meaningful process title for ps(1) */
++#ifndef __GLIBC__
+   setproctitle("%s", device_file);
++#endif
+ 
+   has_children = hfp_getenv_bool("HF_HAS_CHILDREN");
+   only_check_for_media = hfp_getenv_bool("HF_ONLY_CHECK_FOR_MEDIA");
+only in patch2:
+unchanged:
+--- a/tools/hal-system-power-pmu.c
++++ b/tools/hal-system-power-pmu.c
+@@ -53,7 +53,7 @@
+ static int
+ pmac_sleep (void)
+ {
+-#ifdef __FreeBSD__
++#if defined (__FreeBSD__) || defined(__FreeBSD_kernel__)
+ 	return FALSE;			/* FIXME implement */
+ #elif sun
+ 	return FALSE;			/* FIXME implement */
+@@ -90,7 +90,7 @@
+ static int
+ pmac_get_lcd_brightness (int *val)
+ {
+-#ifdef __FreeBSD__
++#if defined (__FreeBSD__) || defined(__FreeBSD_kernel__)
+ 	return FALSE;			/* FIXME implement */
+ #elif sun
+ 	return FALSE;			/* FIXME implement */
+@@ -127,7 +127,7 @@
+ static int
+ pmac_set_lcd_brightness (int val)
+ {
+-#ifdef __FreeBSD__
++#if defined (__FreeBSD__) || defined(__FreeBSD_kernel__)
+ 	return FALSE;			/* FIXME implement */
+ #elif sun
+ 	return FALSE;			/* FIXME implement */
+only in patch2:
+unchanged:
+--- a/tools/hal-system-sonypic.c
++++ b/tools/hal-system-sonypic.c
+@@ -63,7 +63,7 @@
+ static int
+ sonypi_get_lcd_brightness (__u8 *val)
+ {
+-#ifdef __FreeBSD__
++#if defined (__FreeBSD__) || defined(__FreeBSD_kernel__)
+ 	return FALSE;			/* FIXME implement */
+ #elif sun
+ 	return FALSE;			/* FIXME implement */
+@@ -163,7 +163,7 @@
+ static int
+ sonypi_set_lcd_brightness (__u8 val)
+ {
+-#ifdef __FreeBSD__
++#if defined (__FreeBSD__) || defined(__FreeBSD_kernel__)
+ 	return FALSE;			/* FIXME implement */
+ #elif sun
+ 	return FALSE;			/* FIXME implement */
+@@ -195,7 +195,7 @@
+ static int
+ sonypi_set_bluetooth_power (int val)
+ {
+-#ifdef __FreeBSD__
++#if defined (__FreeBSD__) || defined(__FreeBSD_kernel__)
+ 	return FALSE;			/* FIXME implement */
+ #elif sun
+ 	return FALSE;			/* FIXME implement */
+--- a/hald/freebsd/hf-pci.c
++++ b/hald/freebsd/hf-pci.c
+@@ -27,7 +27,7 @@
+ 
+ #include <stdio.h>
+ #include <string.h>
+-#include <bitstring.h>
++#include <sys/bitstring.h>
+ #include <errno.h>
+ #include <fcntl.h>
+ #include <unistd.h>
+

-- System Information:
Debian Release: squeeze/sid
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 7.1-1-686
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages hal depends on:
ii  acl        2.2.47-2                      Access control list utilities
ii  adduser    3.110                         add and remove users and groups
ii  consolekit 0.3.0-2                       framework for defining and trackin
ii  dbus       1.2.12-1                      simple interprocess messaging syst
ii  freebsd-ut 7.1-5                         FreeBSD utilities needed for GNU/k
ii  hal-info   20090309-1                    Hardware Abstraction Layer - fdi f
ii  libc0.1    2.9-12                        GNU C Library: Shared libraries
ii  libcam0    7.1-2                         FreeBSD CAM (Common Access Method)
ii  libdbus-1- 1.2.12-1                      simple interprocess messaging syst
ii  libdbus-gl 0.80-4                        simple interprocess messaging syst
ii  libexpat1  2.0.1-4                       XML parsing C library - runtime li
ii  libglib2.0 2.20.1-2                      The GLib library of C routines
ii  libhal-sto 0.5.12~git20090406.46dc48-2   Hardware Abstraction Layer - share
ii  libhal1    0.5.12~git20090406.46dc48-2   Hardware Abstraction Layer - share
ii  libhald-fr 0.5.12~git20090406.46dc48-2   Hardware Abstraction Layer - share
ii  libpolkit2 0.9-3                         library for accessing PolicyKit
ii  libusbhid3 7.1-2                         FreeBSD library to access USB HID 
ii  libvolume- 0.81.0-2                      libvolume_id shared library
ii  lsb-base   3.2-22                        Linux Standard Base 3.2 init scrip
ii  pciutils   1:3.1.2-3                     Linux PCI Utilities
ii  policykit  0.9-3                         framework for managing administrat
ii  usbutils   0.81-1                        Linux USB utilities

Versions of packages hal recommends:
ii  eject           2.1.5+deb1+cvs20081104-6 ejects CDs and operates CD-Changer

Versions of packages hal suggests:
pn  gnome-device-manager          <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#528383; Package hal. (Thu, 14 May 2009 16:27:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 14 May 2009 16:27:19 GMT) Full text and rfc822 format available.

Message #10 received at 528383@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Aurelien Jarno <aurel32@debian.org>, 528383@bugs.debian.org
Subject: Re: Bug#528383: hal: GNU/kFreeBSD support
Date: Thu, 14 May 2009 18:06:48 +0200
[Message part 1 (text/plain, inline)]
Aurelien Jarno wrote:

> 
> You will find below a patch to make hal working on GNU/kFreeBSD, 
> including both changes to the packaging and upstream. It would be nice 
> if you can apply it for the upload of version 0.5.12. Thanks in 
> advance.


Hi Aurelien,

thanks for the patch, a few comments inline


> diff -u hal-0.5.12~git20090406.46dc48/debian/control hal-0.5.12~git20090406.46dc48/debian/control
> --- hal-0.5.12~git20090406.46dc48/debian/control
> +++ hal-0.5.12~git20090406.46dc48/debian/control
> @@ -32,7 +32,7 @@
>  
>  Package: hal
>  Architecture: any
> -Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, pciutils, usbutils, udev (>= 0.125), dbus (>= 0.61), lsb-base (>= 3.2-14), hal-info (>= 20070402), pm-utils, mount (>= 2.13), policykit (>= 0.7), consolekit (>= 0.3), acl
> +Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, pciutils, usbutils, udev (>= 0.125) [!kfreebsd-amd64 !kfreebsd-i386], dbus (>= 0.61), lsb-base (>= 3.2-14), hal-info (>= 20070402), pm-utils [!kfreebsd-amd64 !kfreebsd-i386], mount (>= 2.13) [!kfreebsd-amd64 !kfreebsd-i386], freebsd-utils [kfreebsd-amd64 kfreebsd-i386], policykit (>= 0.7), consolekit (>= 0.3), acl

Why has pm-utils be removed on kfreebsd?

>  Recommends: eject, libsmbios-bin [amd64 i386 lpia]
>  Suggests: gnome-device-manager
>  Description: Hardware Abstraction Layer
> @@ -125,0 +126,15 @@
> +Package: libhald-freebsd-probe0
> +Section: libs
> +Architecture: kfreebsd-i386 kfreebsd-amd64
> +Depends: ${shlibs:Depends}, ${misc:Depends}
> +Description: Hardware Abstraction Layer - shared library for device probing
> + HAL provides an abstract view on hardware.
> + .
> + This abstraction layer is simply an interface that makes it possible to
> + add support for new devices and new ways of connecting devices to the
> + computer, without modifying every application that uses the device.
> + It maintains a list of devices that currently exist, and can provide
> + information about those upon request.
> + .
> + This library provides device probing on FreeBSD.
> +

So this is library is more or less private to HAL. I'm wondering, if this lib
shouldn't rather be moved to /usr/lib/hal (and shipped as part of the hal
package) or libhald-freebsd-probe (in hald/freebsd/libprobe/Makefile.am) is made
a noinst ltlib. The latter would probably be my preference.

I'd really prefer if we don't need a separate binary package.


> --- hal-0.5.12~git20090406.46dc48.orig/debian/hal.install.kfreebsd-amd64
> +++ hal-0.5.12~git20090406.46dc48/debian/hal.install.kfreebsd-amd64
> @@ -0,0 +1,9 @@
> +debian/tmp/etc/
> +debian/tmp/usr/bin/
> +debian/tmp/usr/sbin/
> +debian/tmp/sbin/umount.hal usr/sbin
> +debian/tmp/usr/lib/hal/
> +debian/tmp/usr/share/hal/fdi/
> +debian/tmp/usr/share/PolicyKit/
> +debian/preferences.fdi  etc/hal/fdi/policy
> +debian/debian-storage-policy-ignore-fixed-crypto-drives.fdi usr/share/hal/fdi/policy/10osvendor
> only in patch2:
> unchanged:
> --- hal-0.5.12~git20090406.46dc48.orig/debian/hal.install.kfreebsd-i386
> +++ hal-0.5.12~git20090406.46dc48/debian/hal.install.kfreebsd-i386
> @@ -0,0 +1,9 @@
> +debian/tmp/etc/
> +debian/tmp/usr/bin/
> +debian/tmp/usr/sbin/
> +debian/tmp/sbin/umount.hal usr/sbin
> +debian/tmp/usr/lib/hal/
> +debian/tmp/usr/share/hal/fdi/
> +debian/tmp/usr/share/PolicyKit/
> +debian/preferences.fdi  etc/hal/fdi/policy
> +debian/debian-storage-policy-ignore-fixed-crypto-drives.fdi usr/share/hal/fdi/policy/10osvendor

This is because the udev rules files are not installed on freebsd, right? I'd
somehow prefer if we wouldn't have to maintain three separate files and keep
them in sync. Not sure if this easily doable though.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#528383; Package hal. (Thu, 14 May 2009 20:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 14 May 2009 20:06:06 GMT) Full text and rfc822 format available.

Message #15 received at 528383@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Aurelien Jarno <aurel32@debian.org>, 528383@bugs.debian.org
Subject: Re: Bug#528383: hal: GNU/kFreeBSD support
Date: Thu, 14 May 2009 22:03:43 +0200
[Message part 1 (text/plain, inline)]
Michael Biebl wrote:
> Aurelien Jarno wrote:
>> --- hal-0.5.12~git20090406.46dc48.orig/debian/hal.install.kfreebsd-amd64
>> +++ hal-0.5.12~git20090406.46dc48/debian/hal.install.kfreebsd-amd64

>> --- hal-0.5.12~git20090406.46dc48.orig/debian/hal.install.kfreebsd-i386
>> +++ hal-0.5.12~git20090406.46dc48/debian/hal.install.kfreebsd-i386

> 
> This is because the udev rules files are not installed on freebsd, right? I'd
> somehow prefer if we wouldn't have to maintain three separate files and keep
> them in sync. Not sure if this easily doable though.
> 

A single hal.install.kfreebsd file should work, too, I guess. So we'd at least
only have two files.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#528383; Package hal. (Thu, 14 May 2009 20:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurel32@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 14 May 2009 20:57:04 GMT) Full text and rfc822 format available.

Message #20 received at 528383@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 528383@bugs.debian.org
Subject: Re: Bug#528383: hal: GNU/kFreeBSD support
Date: Thu, 14 May 2009 22:55:11 +0200
On Thu, May 14, 2009 at 06:06:48PM +0200, Michael Biebl wrote:
> Aurelien Jarno wrote:
> 
> > 
> > You will find below a patch to make hal working on GNU/kFreeBSD, 
> > including both changes to the packaging and upstream. It would be nice 
> > if you can apply it for the upload of version 0.5.12. Thanks in 
> > advance.
> 
> 
> Hi Aurelien,
> 
> thanks for the patch, a few comments inline
> 
> 
> > diff -u hal-0.5.12~git20090406.46dc48/debian/control hal-0.5.12~git20090406.46dc48/debian/control
> > --- hal-0.5.12~git20090406.46dc48/debian/control
> > +++ hal-0.5.12~git20090406.46dc48/debian/control
> > @@ -32,7 +32,7 @@
> >  
> >  Package: hal
> >  Architecture: any
> > -Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, pciutils, usbutils, udev (>= 0.125), dbus (>= 0.61), lsb-base (>= 3.2-14), hal-info (>= 20070402), pm-utils, mount (>= 2.13), policykit (>= 0.7), consolekit (>= 0.3), acl
> > +Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, pciutils, usbutils, udev (>= 0.125) [!kfreebsd-amd64 !kfreebsd-i386], dbus (>= 0.61), lsb-base (>= 3.2-14), hal-info (>= 20070402), pm-utils [!kfreebsd-amd64 !kfreebsd-i386], mount (>= 2.13) [!kfreebsd-amd64 !kfreebsd-i386], freebsd-utils [kfreebsd-amd64 kfreebsd-i386], policykit (>= 0.7), consolekit (>= 0.3), acl
> 
> Why has pm-utils be removed on kfreebsd?

pm-utils is not installable on GNU/kFreeBSD as it is not installable
(depends on console-tools), and also this package looks very GNU/Linux
specific.

> >  Recommends: eject, libsmbios-bin [amd64 i386 lpia]
> >  Suggests: gnome-device-manager
> >  Description: Hardware Abstraction Layer
> > @@ -125,0 +126,15 @@
> > +Package: libhald-freebsd-probe0
> > +Section: libs
> > +Architecture: kfreebsd-i386 kfreebsd-amd64
> > +Depends: ${shlibs:Depends}, ${misc:Depends}
> > +Description: Hardware Abstraction Layer - shared library for device probing
> > + HAL provides an abstract view on hardware.
> > + .
> > + This abstraction layer is simply an interface that makes it possible to
> > + add support for new devices and new ways of connecting devices to the
> > + computer, without modifying every application that uses the device.
> > + It maintains a list of devices that currently exist, and can provide
> > + information about those upon request.
> > + .
> > + This library provides device probing on FreeBSD.
> > +
> 
> So this is library is more or less private to HAL. I'm wondering, if this lib
> shouldn't rather be moved to /usr/lib/hal (and shipped as part of the hal
> package) or libhald-freebsd-probe (in hald/freebsd/libprobe/Makefile.am) is made
> a noinst ltlib. The latter would probably be my preference.
> 
> I'd really prefer if we don't need a separate binary package.

Ok, I'll come back with another patch.

> > --- hal-0.5.12~git20090406.46dc48.orig/debian/hal.install.kfreebsd-amd64
> > +++ hal-0.5.12~git20090406.46dc48/debian/hal.install.kfreebsd-amd64
> > @@ -0,0 +1,9 @@
> > +debian/tmp/etc/
> > +debian/tmp/usr/bin/
> > +debian/tmp/usr/sbin/
> > +debian/tmp/sbin/umount.hal usr/sbin
> > +debian/tmp/usr/lib/hal/
> > +debian/tmp/usr/share/hal/fdi/
> > +debian/tmp/usr/share/PolicyKit/
> > +debian/preferences.fdi  etc/hal/fdi/policy
> > +debian/debian-storage-policy-ignore-fixed-crypto-drives.fdi usr/share/hal/fdi/policy/10osvendor
> > only in patch2:
> > unchanged:
> > --- hal-0.5.12~git20090406.46dc48.orig/debian/hal.install.kfreebsd-i386
> > +++ hal-0.5.12~git20090406.46dc48/debian/hal.install.kfreebsd-i386
> > @@ -0,0 +1,9 @@
> > +debian/tmp/etc/
> > +debian/tmp/usr/bin/
> > +debian/tmp/usr/sbin/
> > +debian/tmp/sbin/umount.hal usr/sbin
> > +debian/tmp/usr/lib/hal/
> > +debian/tmp/usr/share/hal/fdi/
> > +debian/tmp/usr/share/PolicyKit/
> > +debian/preferences.fdi  etc/hal/fdi/policy
> > +debian/debian-storage-policy-ignore-fixed-crypto-drives.fdi usr/share/hal/fdi/policy/10osvendor
> 
> This is because the udev rules files are not installed on freebsd, right? I'd
> somehow prefer if we wouldn't have to maintain three separate files and keep
> them in sync. Not sure if this easily doable though.
> 

Yes, they are udev rules, useless on GNU/kFreeBSD and not even installed
by 'make install'.

One solution is to not install those files from but conditionally from
debian/rules. I don't really like that, especially if the kfreebsd
version of the package also have specific files (the probe library).

As you noticed in your other mail, a better solution would be indeed to 
use a .kfreebsd file, but this feature was not existing when the bug
has been reported.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#528383; Package hal. (Tue, 07 Jul 2009 00:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 07 Jul 2009 00:57:03 GMT) Full text and rfc822 format available.

Message #25 received at 528383@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Aurelien Jarno <aurel32@debian.org>, 528383@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>
Subject: Re: Bug#528383: hal: GNU/kFreeBSD support
Date: Tue, 7 Jul 2009 02:53:41 +0200
[Message part 1 (text/plain, inline)]
Aurelien Jarno <aurel32@debian.org> (14/05/2009):
> > > -Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, pciutils, usbutils, udev (>= 0.125), dbus (>= 0.61), lsb-base (>= 3.2-14), hal-info (>= 20070402), pm-utils, mount (>= 2.13), policykit (>= 0.7), consolekit (>= 0.3), acl
> > > +Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, pciutils, usbutils, udev (>= 0.125) [!kfreebsd-amd64 !kfreebsd-i386], dbus (>= 0.61), lsb-base (>= 3.2-14), hal-info (>= 20070402), pm-utils [!kfreebsd-amd64 !kfreebsd-i386], mount (>= 2.13) [!kfreebsd-amd64 !kfreebsd-i386], freebsd-utils [kfreebsd-amd64 kfreebsd-i386], policykit (>= 0.7), consolekit (>= 0.3), acl
> > 
> > Why has pm-utils be removed on kfreebsd?
> 
> pm-utils is not installable on GNU/kFreeBSD as it is not installable
> (depends on console-tools), and also this package looks very GNU/Linux
> specific.

I didn't investigate this any further, trusting you.

> > So this is library is more or less private to HAL. I'm wondering, if
> > this lib shouldn't rather be moved to /usr/lib/hal (and shipped as
> > part of the hal package) or libhald-freebsd-probe (in
> > hald/freebsd/libprobe/Makefile.am) is made a noinst ltlib. The
> > latter would probably be my preference.
> > 
> > I'd really prefer if we don't need a separate binary package.
> 
> Ok, I'll come back with another patch.

So, I moved it from lib_LTLIBRARIES to noinst_LTLIBRARIES, and it looks
like that does the trick. This way, the convenience library is only used
at build time, and no longer installed, so no additional package.

Minimal changes extracted manually from an autoreconf run, I've left the
hunk related to the automake version bump just for reference.

I also compared “sudo lshal”'s output with the previous patch and with
that one, it's identical, so I guess we're fine.

> > > --- hal-0.5.12~git20090406.46dc48.orig/debian/hal.install.kfreebsd-amd64
> > > +++ hal-0.5.12~git20090406.46dc48/debian/hal.install.kfreebsd-amd64
> > > @@ -0,0 +1,9 @@
> > > +debian/tmp/etc/
> > > +debian/tmp/usr/bin/
> > > +debian/tmp/usr/sbin/
> > > +debian/tmp/sbin/umount.hal usr/sbin
> > > +debian/tmp/usr/lib/hal/
> > > +debian/tmp/usr/share/hal/fdi/
> > > +debian/tmp/usr/share/PolicyKit/
> > > +debian/preferences.fdi  etc/hal/fdi/policy
> > > +debian/debian-storage-policy-ignore-fixed-crypto-drives.fdi usr/share/hal/fdi/policy/10osvendor
> > > only in patch2:
> > > unchanged:
> > > --- hal-0.5.12~git20090406.46dc48.orig/debian/hal.install.kfreebsd-i386
> > > +++ hal-0.5.12~git20090406.46dc48/debian/hal.install.kfreebsd-i386
> > > @@ -0,0 +1,9 @@
> > > +debian/tmp/etc/
> > > +debian/tmp/usr/bin/
> > > +debian/tmp/usr/sbin/
> > > +debian/tmp/sbin/umount.hal usr/sbin
> > > +debian/tmp/usr/lib/hal/
> > > +debian/tmp/usr/share/hal/fdi/
> > > +debian/tmp/usr/share/PolicyKit/
> > > +debian/preferences.fdi  etc/hal/fdi/policy
> > > +debian/debian-storage-policy-ignore-fixed-crypto-drives.fdi usr/share/hal/fdi/policy/10osvendor
> > 
> > This is because the udev rules files are not installed on freebsd,
> > right? I'd somehow prefer if we wouldn't have to maintain three
> > separate files and keep them in sync. Not sure if this easily doable
> > though.
> > 
> 
> Yes, they are udev rules, useless on GNU/kFreeBSD and not even
> installed by 'make install'.
> 
> One solution is to not install those files from but conditionally from
> debian/rules. I don't really like that, especially if the kfreebsd
> version of the package also have specific files (the probe library).

Tweaked debian/rules and .install file given that:
 1. maintainer expressed the wish for a single file if possible, plus
    conditional stuff in debian/rules, I'm adding the udev rules only on
    Linux architectures. I first thought of removing them on non-Linux
    architectures, but as you said, they're not installed, so keeping
    the current .install file would mean a failing dh_install. That's
    why I'm doing it the other way round.
 2. no more additional probe library.

From a kfreebsd-* point of view: we're still lacking libvolume-id-dev,
so uploading the current sid package with the attached patch will lead
to an FTBFS again (we're using a “standalone” unreleased libvolume-id
library from debian-ports.org on porter boxes, which isn't meant to be
uploaded to debian, as we discussed); but we should now be ready for
when libblkid is used instead.

Mraw,
KiBi.
[hal5.diff (text/x-diff, attachment)]

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Fri, 07 Aug 2009 16:30:14 GMT) Full text and rfc822 format available.

Notification sent to Aurelien Jarno <aurel32@debian.org>:
Bug acknowledged by developer. (Fri, 07 Aug 2009 16:30:14 GMT) Full text and rfc822 format available.

Message #30 received at 528383-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 528383-close@bugs.debian.org
Subject: Bug#528383: fixed in hal 0.5.13-1
Date: Fri, 07 Aug 2009 16:03:07 +0000
Source: hal
Source-Version: 0.5.13-1

We believe that the bug you reported is fixed in the latest version of
hal, which is due to be installed in the Debian FTP archive:

hal-doc_0.5.13-1_all.deb
  to pool/main/h/hal/hal-doc_0.5.13-1_all.deb
hal_0.5.13-1.diff.gz
  to pool/main/h/hal/hal_0.5.13-1.diff.gz
hal_0.5.13-1.dsc
  to pool/main/h/hal/hal_0.5.13-1.dsc
hal_0.5.13-1_i386.deb
  to pool/main/h/hal/hal_0.5.13-1_i386.deb
hal_0.5.13.orig.tar.gz
  to pool/main/h/hal/hal_0.5.13.orig.tar.gz
libhal-dev_0.5.13-1_i386.deb
  to pool/main/h/hal/libhal-dev_0.5.13-1_i386.deb
libhal-storage-dev_0.5.13-1_i386.deb
  to pool/main/h/hal/libhal-storage-dev_0.5.13-1_i386.deb
libhal-storage1_0.5.13-1_i386.deb
  to pool/main/h/hal/libhal-storage1_0.5.13-1_i386.deb
libhal1_0.5.13-1_i386.deb
  to pool/main/h/hal/libhal1_0.5.13-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 528383@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated hal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 07 Aug 2009 16:39:35 +0200
Source: hal
Binary: hal hal-doc libhal1 libhal-storage1 libhal-dev libhal-storage-dev
Architecture: source all i386
Version: 0.5.13-1
Distribution: unstable
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 hal        - Hardware Abstraction Layer
 hal-doc    - Hardware Abstraction Layer - documentation
 libhal-dev - Hardware Abstraction Layer - development files
 libhal-storage-dev - Hardware Abstraction Layer - development files
 libhal-storage1 - Hardware Abstraction Layer - shared library for storage devices
 libhal1    - Hardware Abstraction Layer - shared library
Closes: 477913 522136 528383 532999 537251
Changes: 
 hal (0.5.13-1) unstable; urgency=low
 .
   [ Michael Biebl ]
   * New upstream release.
     - Fix crash when assembling certain MD devices. (Closes: #522136)
     - Fixes for GNU/kFreeBSD.
     - Set default udev_prefix to ${exec_prefix}/lib in configure.in.
     - Define new (sub-)namespace(s) and policy for smart card readers.
     - Ignore ADD events if there is already a device with same sysfs_path.
     - probe-volume: remove needless check for empty fstype.
     - Use $libexecdir not $libdir/hal to define private hal directory.
     - Various startup speedups.
     - Add hal-set-property --direct.
     - addon-acpi.c: Support acpid.
     - 10-x11-input.fdi: Add tablets.
     - Add input.keys capability to input buttons.
     - Add support for devices on the SSB and ibme bus.
   * debian/patches/11-direct-hal-set-propery.patch
     - Removed, merged upstream.
   * debian/patches/23_addon_acpi.patch
     - Removed, merged upstream.
   * Add support for GNU/kFreeBSD. (Closes: #528383)
     Thanks to Aurelien Jarno and Cyril Brulebois for the patch(es).
   * debian/control
     - Change Build-Depends from libvolume-id-dev to libblkid-dev (>= 1.43).
     - Bump Standards-Version to 3.8.2. No further changes.
     - Wrap hal dependencies.
     - Demote pm-utils to Recommends now that pm-utils is in the laptop and
       desktop task and Recommends are installed by default. (Closes: #477913)
   * debian/hal.init
     - Refactor safety checks into a separate function and make sure they are
       also run on restart. (Closes: #537251)
     - Use s-s-d's --retry option on stop which allows us to safely remove the
       ugly "sleep 1" between start and stop within restart.
   * debian/patches/20_cpufreq_warning_message_fix.patch
     - Fix a misleading warning message in ondemand_set_consider_nice().
       (Closes: #532999)
 .
   [ Martin Pitt ]
   * debian/control: Drop libsmbios-dev from build depends.  Kernel 2.6.30
     provides dell_laptop kernel module which exports these interfaces into
     standard "generic" ones. Drop recommends for libsmbios-bin.
   * debian/control: Bump libblkid-dev build dep to >= 2.15  as done by
     upstream recently; 1.43 was a synthetic version number before the
     util-linux release number was determined.
   * debian/hal.init: Check for /sys/devices, not /sys/kernel. The latter
     doesn't exist in OpenVZ. (LP: #399629)
Checksums-Sha1: 
 ba6759d04788f4fcec520cdaf96016472d09871c 1682 hal_0.5.13-1.dsc
 0fa321c7150823799b7005dd1d8625f5b7f40d64 1199224 hal_0.5.13.orig.tar.gz
 b4f9fbbdf1aa81b40d6c10088cb450ac5aebea85 39079 hal_0.5.13-1.diff.gz
 8474a12283f46dde40a7b09a143ffb8fdabf03fa 204832 hal-doc_0.5.13-1_all.deb
 0632b8f9066d02c8fcb9687501a1bd8383a1816c 451898 hal_0.5.13-1_i386.deb
 a4e489210a46cd57860035db520b984d344443c3 90788 libhal1_0.5.13-1_i386.deb
 cd06b9cf24c5a0e80afa468e7a9de0b63f6a5142 83326 libhal-storage1_0.5.13-1_i386.deb
 7d546391f093eec63b9353c29bef4d4e2f75d448 96622 libhal-dev_0.5.13-1_i386.deb
 d711ac58491f2720966afef6887789de7eb91613 83470 libhal-storage-dev_0.5.13-1_i386.deb
Checksums-Sha256: 
 fab6703047ccb0c521d8372ef4ca5b21520369b9d0ca7d074523f374891b7d9e 1682 hal_0.5.13-1.dsc
 ebcf22a373761530920643add1a791af40954dc7349f027d1c35b0e0f7f9c8af 1199224 hal_0.5.13.orig.tar.gz
 5b1c5b29674435c7064615608b047ebf4bab61ab352b53bbc971072d149c4eed 39079 hal_0.5.13-1.diff.gz
 74f44892eb3ea93a2b6e29e9b144c127d872e3ae84292091016709bd5135cb83 204832 hal-doc_0.5.13-1_all.deb
 37509f84768e6203a98b47d3cd94ee3109226afcd555c100a2bf8f61459eb4a9 451898 hal_0.5.13-1_i386.deb
 936570395024532047101140b5b373a29ed7b09067729a8ae569a9e4c8b12776 90788 libhal1_0.5.13-1_i386.deb
 59b8ad7b7449ff63f4e7d964310133f60fb4fb28c0b5d1d2f763ab2af962bfd3 83326 libhal-storage1_0.5.13-1_i386.deb
 e2ca996287be23326ccec4dc5a1b3e44806db1389e1613ec2993fb2adabae90a 96622 libhal-dev_0.5.13-1_i386.deb
 05121a4afbf33ddaebd93fece97a72704d5960725bdcdb315d53a01e0a923acc 83470 libhal-storage-dev_0.5.13-1_i386.deb
Files: 
 f1c24c699ea3fc9c0ddc49bfa6f73683 1682 admin optional hal_0.5.13-1.dsc
 46ecc5d2e5bd964fb78099688f01bb6a 1199224 admin optional hal_0.5.13.orig.tar.gz
 0a93ada4e86ad1ef78b233bdb59afa16 39079 admin optional hal_0.5.13-1.diff.gz
 39a89b34ccdc9a6d2c2c1999cba42de6 204832 doc optional hal-doc_0.5.13-1_all.deb
 581547c3e36cab8c73c3a7433663587e 451898 admin optional hal_0.5.13-1_i386.deb
 8d4e7b8a120f28dda176dff6cdb55545 90788 libs optional libhal1_0.5.13-1_i386.deb
 698d3550a6091b97bb13228159c6ab4f 83326 libs optional libhal-storage1_0.5.13-1_i386.deb
 604875f5646b449b7f18c73d5c8ffa1a 96622 libdevel optional libhal-dev_0.5.13-1_i386.deb
 5fe8ae439c326a03ac0980fc9dbfab1a 83470 libdevel optional libhal-storage-dev_0.5.13-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkp8QCQACgkQh7PER70FhVTHtQCeKdgdCHGnE1erZ0d5JJgHUaj0
TUoAn2NuMxM6NsETTRr1j5UkxPB6oj1o
=fc/f
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Sep 2009 07:49:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:55:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.